<?
include_once "../SYSTEM/include/functions.php";
include_once "../SYSTEM/include/mysql.php";
include_once "../SYSTEM/include/param.php";
include_once "../SYSTEM/include/ban.php";
include_once "../SYSTEM/include/sess.php";
include_once "../SYSTEM/include/ban_2.php";
include_once "../SYSTEM/include/theme.php";
$title='Управление ЗЦ';
$mesto='В загрузках';
head();
echo "<div class=\"h\">Управленине загруз-центром</div><hr />\n";

if ($mail_in_new>0)echo "<div class=\"privat\"><img src=\"../SYSTEM/themes/$them/img/mail0.gif\" alt=\"\" /> <a href=\"../mail.php?act=in\">Приват</a> [$mail_in_new]</div><hr />\n";

if (!isset($user) || $user['level']<1)
{
header("Location: index.php");
exit;
}



function delete_dir($dir)
{
if (is_dir($dir))
{
$dir=str_replace("//", "/", $dir);

$od=opendir($dir);
while ($rd=readdir($od))
{
if (is_dir("$dir/$rd") && $rd!='.' && $rd!='..')
{
delete_dir("$dir/$rd");
}
elseif (is_file("$dir/$rd"))
{
@unlink("$dir/$rd");

}

}
@rmdir("$dir");

}
else
{
@unlink("$dir");

@unlink("$dir.opis");
@unlink("$dir.name");
@unlink("$dir.GIF");
@unlink("$dir.JPG");
@unlink("$dir.PNG");

$dir2=ereg_replace(".jar$", ".jad", $dir);
@unlink("$dir2");
}
}





if (isset($_GET['l']))
{


$l=$folder_level.$set['loaddir']."/".$_GET['l']."";
$prl=$_GET['l']."/";
}
else
{
$l=$folder_level.$set['loaddir'];
$prl='';
}
$l=str_replace("//", "/", $l);

if (is_dir("$l"))
{
$lastdir=explode("/",$l);
$i=count($lastdir);
$dirname='Корневая';
if ($i>3 && isset($_GET['l']))
{
$i=$i-1;
$dirname=$lastdir[$i];
}



if (isset($_GET['act']) && $_GET['act']=='del' && $_GET['set']!='')
{
delete_dir("$l/$_GET[set]");

mysql_query("TRUNCATE `$mysql[pref]load_k`;");
mysql_query("TRUNCATE `$mysql[pref]load_k_n`;");
echo "Удаление прошло успешно<br />";
}

if (isset($_GET['act']) && $_GET['act']=='newdir' && $_POST['file']!='')
{
$file_ch['file']=$_POST['file'];
$file_ch['name']=$_POST['name'];


$err=0;
if (!mkdir("$l/$file_ch[file]"))
{
$err++;
echo "Невозможно создать папку<br />";
}
if (!chmod("$l/$file_ch[file]", 0777))
{
$err++;
echo "Невозможно установить CHMOD<br />";
}


if ($file_ch['file']!=$file_ch['name'] && $file_ch['name']!='')
{
$fm=@fopen("$l/$file_ch[file]/dir.name","w");  
@flock($fm,LOCK_EX);                                                     
@fputs($fm,"$file_ch[name]");
@fflush($fm);
@flock($fm,LOCK_UN);
@fclose($fm);
@chmod("$l/$file_ch[file]/dir.name", 0777);
}

if ($err==0)
{
mysql_query("TRUNCATE `$mysql[pref]load_k`;");
mysql_query("TRUNCATE `$mysql[pref]load_k_n`;");
echo "Папка успешно создана<br />";
}
else
{
echo "Ошибка при создании папки<br />";
}
}


if (isset($_GET['act']) && $_GET['act']=='load' && isset($_FILES['file2']))
{

if (copy($_FILES['file2']['tmp_name'], "$l/".$_FILES['file2']['name']))
{
mysql_query("TRUNCATE `$mysql[pref]load_k`;");
mysql_query("TRUNCATE `$mysql[pref]load_k_n`;");
echo "Файл успешно загружен<br />";
}
else
{
echo "Ошибка при выгрузке файла<br />";
}
@chmod("$l/".$_FILES['file2']['name'], 0666);


if (isset($_FILES['filescr']))
{
if (eregi(".jpg$",$_FILES['filescr']['name']))$ras='JPG';
elseif (eregi(".gif$",$_FILES['filescr']['name']))$ras='GIF';
elseif (eregi(".png$",$_FILES['filescr']['name']))$ras='PNG';

if (isset($ras))
@copy($_FILES['filescr']['tmp_name'], "$l/".$_FILES['file2']['name'].".$ras");
}
@chmod("$l/".$_FILES['file2']['name'].".$ras", 0666);


if (isset($_POST['op']) && $_POST['op']!='')
{
$fm=@fopen("$l/".$_FILES['file2']['name'].".opis","w");  
@flock($fm,LOCK_EX);                                                     
@fputs($fm,$_POST['op']);
@fflush($fm);
@flock($fm,LOCK_UN);
@fclose($fm);
@chmod("$l/".$_FILES['file2']['name'].".opis", 0664);
}

if (isset($_POST['name']) && $_POST['name']!='')
{
$fm=@fopen("$l/".$_FILES['file2']['name'].".name","w");  
@flock($fm,LOCK_EX);                                                     
@fputs($fm,$_POST['name']);
@fflush($fm);
@flock($fm,LOCK_UN);
@fclose($fm);
chmod("$l/".$_FILES['file2']['name'].".name", 0664);
}


}


if (isset($_GET['act']) && $_GET['act']=='loadom' && isset($_POST['file1']))
{

$upfile = $_POST['file1'];
$file=explode('file=', $upfile);
$file[1]=base64_decode($file[1]);
$fsave=@fopen("$l/$file[0]","w");
@flock ($fsave,LOCK_EX);
@fputs($fsave,"$file[1]");
@flock ($fsave,LOCK_UN);
@fclose($fsave);
chmod("$l/$file[0]", 0666);


if (isset($_POST['file2']))
{
$upfile = $_POST['file2'];
$file2=explode('file=', $upfile);
if (eregi(".jpg$",$file2[0]))$ras='JPG';
elseif (eregi(".gif$",$file2[0]))$ras='GIF';
elseif (eregi(".png$",$file2[0]))$ras='PNG';

if (isset($ras))
{
$file2[1]=base64_decode($file2[1]);
$fsave=@fopen("$l/$file[0].$ras","w");
@flock ($fsave,LOCK_EX);
@fputs($fsave,"$file2[1]");
@flock ($fsave,LOCK_UN);
@fclose($fsave);
chmod("$l/$file[0].$ras", 0666);
}
}



if (isset($_POST['op']) && $_POST['op']!='')
{
$fm=@fopen("$l/$file[0].opis","w");  
@flock($fm,LOCK_EX);                                                     
@fputs($fm,$_POST['op']);
@fflush($fm);
@flock($fm,LOCK_UN);
@fclose($fm);
chmod("$l/$file[0].opis", 0664);
}

if (isset($_POST['name']) && $_POST['name']!='')
{
$fm=@fopen("$l/$file[0].name","w");  
@flock($fm,LOCK_EX);                                                     
@fputs($fm,$_POST['name']);
@fflush($fm);
@flock($fm,LOCK_UN);
@fclose($fm);
chmod("$l/$file[0].name", 0664);
}

mysql_query("TRUNCATE `$mysql[pref]load_k`;");
mysql_query("TRUNCATE `$mysql[pref]load_k_n`;");
echo "Файл успешно загружен<br />";
}

if (isset($_GET['act']) && $_GET['act']=='import' && $_POST['file']!='' && $_POST['name']!='')
{
$file_ch['file']=$_POST['file'];
$file_ch['name']=$_POST['name'];

$file_ch['chmod']=intval($_POST['chmod']);

if (@copy("$file_ch[file]", "$l/$file_ch[name]"))
{

if ($_POST['name2']!='')
{
$fm=@fopen("$l/$file_ch[name].name","w");  
@flock($fm,LOCK_EX);                                                     
@fputs($fm,"$_POST[name2]");
@fflush($fm);
@flock($fm,LOCK_UN);
@fclose($fm);
@chmod("$l/$file_ch[name].name", 0777);
}


if (isset($_POST['op']) && $_POST['op']!='')
{
$fm=@fopen("$l/".$_POST['name'].".opis","w");  
@flock($fm,LOCK_EX);                                                     
@fputs($fm,$_POST['op']);
@fflush($fm);
@flock($fm,LOCK_UN);
@fclose($fm);
@chmod("$l/".$_POST['name'].".opis", 0664);
}



@chmod ("$l/$file_ch[name]", 0777);
mysql_query("TRUNCATE `$mysql[pref]load_k`;");
mysql_query("TRUNCATE `$mysql[pref]load_k_n`;");
echo "Импорт выполнен<br />";
}
else
echo "Ошибка при импорте<br />";

}






$opendir=opendir("$l");
while ($readdir=readdir($opendir))
{
if (!ereg("error.log|.htaccess|.opis|.aut|.name|.jad|.GIF|.JPG|.PNG",$readdir) && $readdir!='.' && $readdir!='..')
{
$spis[]=$readdir;
}
}


if (isset($spis))
{

$k_p_str=$user['k_page'];

if (count($spis)!="0")
{
$v_pages_okr=count($spis)/$k_p_str%100;
$v_pages_tochn=count($spis)/$k_p_str;
if ($v_pages_okr==$v_pages_tochn)
{
$k_page=$v_pages_okr;
}
else
{
$k_page=$v_pages_okr+1;
}
}

//echo "Количество страниц: $k_page<br />";
//echo "Количество сообщений: ".count($post)."<br /><br />";
$page=1;
if (isset($_GET['page']) && $_GET['page']!='')
{
if ($_GET['page']=='end')
{
$page=$k_page;
}
else
{
$page=intval($_GET['page']);
}
}
$page=intval($page);
if ($k_page<$page){$page=$k_page;}
if (0>$page){$page=1;}



for ($i=$k_p_str*$page-$k_p_str;$i<count($spis) && $i<$k_p_str*$page;$i++)
{
$file=$spis[$i];

if (is_dir("$l/$file"))
{
$filename=$file;
if (@is_file("$l/$file/dir.name"))
{
$file_info=@file("$l/$file/dir.name");
$filename=trim($file_info[0]);





}
echo "<div class=\"mess\">\n";
echo "<a href=\"dir.php?l=$prl$file\">$filename</a> ";
$k_files = count_file("$l/$file");
$k_n_files = count_file_new("$l/$file", 86400);
$k_n_files2='';
if ($k_n_files>0){$k_n_files2="/+$k_n_files";}
echo "[$k_files";

$filesize = count_dir_size("$l/$file");
$filesize_ed='b';
if ($filesize>=1024)
{
$filesize= round($filesize/1024 , 1);
$filesize_ed='Kb';
}
if ($filesize>=1024)
{
$filesize= round($filesize/1024 , 1);
$filesize_ed='Mb';
}

echo " / $filesize $filesize_ed]<br />";

if (isset($_GET['act']) && $_GET['act']=='setok' && $_GET['set']==$file)
{
$file_ch['file']=$_POST['file'];
$file_ch['name']=$_POST['name'];


if (rename("$l/$file", "$l/$file_ch[file]"))
$file=$file_ch['file'];


$fm=@fopen("$l/$file/dir.name","w");  
@flock($fm,LOCK_EX);                                                     
@fputs($fm,"$file_ch[name]");
@fflush($fm);
@flock($fm,LOCK_UN);
@fclose($fm);
@chmod ("$l/$file/dir.name", 0777);
@chmod ("$l/$file", 0777);
mysql_query("TRUNCATE `$mysql[pref]load_k`;");
mysql_query("TRUNCATE `$mysql[pref]load_k_n`;");
echo "Параметры папки изменены<br />";
}




if (isset($_GET['act']) && $_GET['act']=='set' && $_GET['set']==$file)
{
echo "<form action=\"dir.php?l=$prl&amp;set=$file&amp;act=setok&amp;page=$page\" method=\"post\">";
echo "Имя на сервере:<br /><input type=\"text\" class=\"form\" name=\"file\" value=\"$file\" /><br />\n";
echo "Название:<br /><input type=\"text\" class=\"form\" name=\"name\" value=\"$filename\" /><br />\n";
echo "<input value=\"Изменить\" class=\"form\" type=\"submit\" />\n";
echo "</form>";
echo "[<a href=\"dir.php?l=$prl&amp;set=$file&amp;act=del&amp;page=$page\">Удалить</a>]<br />";
echo "[<a href=\"dir.php?l=$prl&amp;page=$page\">Отмена</a>]";

}
else
{
$prl_2=ereg_replace("/$","",$prl);
$prl_2=ereg_replace("^/","",$prl_2);
echo "[<a href=\"dir.php?l=$prl_2&amp;set=$file&amp;act=set&amp;page=$page\">Параметры</a>]";
}


echo "</div>\n";
//echo "<br />\n";
}
elseif (ereg('.',$file))
{


$filesize=filesize("$l/$file");




$rashs=explode('.',"$file");
$rashs_l=count($rashs);
$rashs_l=$rashs_l-1;
$rashs=$rashs[$rashs_l];
$filename=str_replace("&", "&amp;", $file);





echo "<div class=\"mess\">\n";

if (is_file("$l/$file.name"))
{
$name=file("$l/$file.name");
$name=implode("",$name);

$name=str_replace("\r\n","<br />",$name);
$name=str_replace("\r","<br />",$name);
$filename=str_replace("\n","<br />",$name);
}

echo "<a href=\"dir.php?l=$prl$file\">$filename</a>";



$filesize=filesize("$l/$file");
$filesize_ed='b';
if ($filesize>=1024)
{
$filesize= round($filesize/1024 , 1);
$filesize_ed='Kb';
}
if ($filesize>=1024)
{
$filesize= round($filesize/1024 , 1);
$filesize_ed='Mb';
}

echo " [$filesize $filesize_ed]<br />";



if (isset($_GET['act']) && $_GET['act']=='setfok' && $_GET['set']==$file)
{
$file_ch['file']=$_POST['file'];

if (rename("$l/$file", "$l/$file_ch[file]"))
{
@rename("$l/$file.opis", "$l/$file_ch[file].opis");
@rename("$l/$file.name", "$l/$file_ch[file].name");
@rename("$l/$file.GIF", "$l/$file_ch[file].GIF");
@rename("$l/$file.JPG", "$l/$file_ch[file].JPG");
@rename("$l/$file.PNG", "$l/$file_ch[file].PNG");

$dir2=ereg_replace(".jar$", ".jad", "$l/$file");
@rename(ereg_replace(".jar$", ".jad", "$l/$file"), ereg_replace(".jar$", ".jad", "$l/$file_ch[file]"));

@chmod ("$l/$file.opis", 0666);
@chmod ("$l/$file.name", 0666);
@chmod ("$l/$file.GIF", 0666);
@chmod ("$l/$file.JPG", 0666);
@chmod ("$l/$file.PNG", 0666);
$file=$file_ch['file'];
}
@chmod ("$l/$file", 0666);


if (isset($_POST['op']) && $_POST['op']!='')
{
$fm=@fopen("$l/$file.opis","w");  
@flock($fm,LOCK_EX);                                                     
@fputs($fm,$_POST['op']);
@fflush($fm);
@flock($fm,LOCK_UN);
@fclose($fm);
@chmod ("$l/$file.opis", 0664);
}

if (isset($_POST['name']) && $_POST['name']!='')
{
$fm=@fopen("$l/$file.name","w");  
@flock($fm,LOCK_EX);                                                     
@fputs($fm,$_POST['name']);
@fflush($fm);
@flock($fm,LOCK_UN);
@fclose($fm);
@chmod ("$l/$file.name", 0664);
}

mysql_query("TRUNCATE `$mysql[pref]load_k`;");
mysql_query("TRUNCATE `$mysql[pref]load_k_n`;");
echo "Параметры изменены<br />";
}



if (isset($_GET['act']) && $_GET['act']=='set' && $_GET['set']==$file)
{
echo "<form action=\"dir.php?l=$prl&amp;set=$file&amp;act=setfok&amp;page=$page\" method=\"post\">";
echo "Имя файла:<br /><input type=\"text\" class=\"form\" name=\"file\" value=\"$file\" /><br />\n";


$name='';
if (is_file("$l/$file.name"))
{
$name=file("$l/$file.name");
$name=implode("",$name);

$name=str_replace("\r\n","<br />",$name);
$name=str_replace("\r","<br />",$name);
$name=str_replace("\n","<br />",$name);
}
echo "Название:<br /><input type=\"text\" class=\"form\" name=\"name\" value=\"$name\" /><br />\n";

$opis='';
if (is_file("$l/$file.opis"))
{
$opis=file("$l/$file.opis");
$opis=implode("",$opis);

}
echo "Описание:<br /><textarea cols=\"25\" class=\"form\" rows=\"3\" name=\"op\">$opis</textarea><br />\n";

$prl_2=ereg_replace("/$","",$prl);
$prl_2=ereg_replace("^/","",$prl_2);

echo "<input value=\"Изменить\" class=\"form\" type=\"submit\" />\n";
echo "</form>";
echo "[<a href=\"dir.php?l=$prl_2&amp;set=$file&amp;act=del&amp;page=$page\">Удалить</a>]<br />";
echo "[<a href=\"dir.php?l=$prl_2&amp;page=$page\">Отмена</a>]";
}
else
{
$prl_2=ereg_replace("/$","",$prl);
$prl_2=ereg_replace("^/","",$prl_2);
echo "[<a href=\"dir.php?l=$prl_2&amp;set=$file&amp;act=set&amp;page=$page\">Параметры</a>]";

}


echo "</div>\n";





}
}
if (isset($_GET['l']))
{
$l_get=$_GET['l'];
}
else
{
$l_get='';
}
echo "<hr />\n<div class=\"str\">";
echo "Стр: [";
if ($page!=1)
{
echo "<a href=\"dir.php?l=$l_get&amp;page=1\">1</a>";
}
else
{
echo "<b>1</b>";
}
$in=-3;
$out=3;
for ($ot=$in; $ot<=$out; $ot++)
{
$t_str=$page+$ot;

if ($t_str>1 && $t_str<$k_page)
{
if ($in==$ot && $t_str>2)
{
echo " ..";
}
if ($ot!=0)
{
echo " <a href=\"dir.php?l=$l_get&amp;page=$t_str\">$t_str</a>";
}
else
{
echo " <b>$t_str</b>";
}
if ($ot==$out && $t_str<$k_page-1)
{
echo " ..";
}
}
}
if ($page!=$k_page)
{
echo " <a href=\"dir.php?l=$l_get&amp;page=end\">$k_page</a>";
}
elseif ($k_page>1)
{
echo " <b>$k_page</b>";
}

echo "]";
echo "</div>\n";
}

}
else
{
echo "<div class=\"mess\">\n";
echo "Это не папка<br />";
$prl_2=ereg_replace("(/){1,}$","",$prl);
$prl_2=ereg_replace("^(/){1,}","",$prl_2);
$prl_3='';
$previs=explode('/', $prl_2);
for ($i=0;$i<count($previs)-1;$i++)
{
$prl_3.=$previs[$i]."/";
}

echo "<a href=\"dir.php?l=$prl_3\">Назад</a><br />\n";
echo "</div>\n";

}
echo "<hr />\n";

if (isset($_GET['newdir']))
{

echo "<b>Новая папка</b><br />\n";

$prl_2=ereg_replace("/$","",$prl);
$prl_2=ereg_replace("^/","",$prl_2);
echo "<form action=\"dir.php?l=$prl_2&amp;act=newdir&amp;page=$page\" method=\"post\">";
echo "Папка:<br /><input type=\"text\" class=\"form\" name=\"file\" value=\"\" /><br />\n";
echo "Название:<br /><input type=\"text\" class=\"form\" name=\"name\" value=\"\" /><br />\n";
echo "<input value=\"Создать\" class=\"form\" type=\"submit\" />\n";
echo "</form>";

}

if (isset($_GET['import']))
{

echo "<b>Импорт файла</b><br />\n";

$prl_2=ereg_replace("/$","",$prl);
$prl_2=ereg_replace("^/","",$prl_2);
echo "<form action=\"dir.php?l=$prl_2&amp;act=import&amp;page=$page\" method=\"post\">";
echo "Откуда:<br /><input type=\"text\" class=\"form\" name=\"file\" value=\"http://\" /><br />\n";
echo "Сохранить как:<br /><input type=\"text\" class=\"form\" name=\"name\" value=\"\" /><br />\n";
echo "Название:<br /><input type=\"text\" class=\"form\" name=\"name2\" value=\"\" /><br />\n";
echo "Описание:<br /><textarea cols=\"25\" class=\"form\" rows=\"3\" name=\"op\"></textarea><br />\n";
echo "<input value=\"Начать\" class=\"form\" type=\"submit\" />\n";
echo "</form>";

}

if (isset($_GET['load']))
{
if (!ereg('Opera Mini', "$_SERVER[HTTP_USER_AGENT]"))
{

echo "<b>Выгрузка</b><br />\n";

$prl_2=ereg_replace("/$","",$prl);
$prl_2=ereg_replace("^/","",$prl_2);
echo "<form enctype=\"multipart/form-data\" action=\"dir.php?l=$prl_2&amp;act=load&amp;page=$page\" method=\"post\">";
echo "Путь к файлу:<br /><input name=\"file2\" class=\"form\" type=\"file\" /><br />\n";
echo "Название:<br /><input type=\"text\" class=\"form\" name=\"name\" value=\"\" /><br />\n";
echo "Путь к скрину:<br /><input name=\"filescr\" class=\"form\" type=\"file\" /><br />\n";
echo "Описание:<br /><textarea cols=\"25\" class=\"form\" rows=\"3\" name=\"op\"></textarea><br />\n";
echo "<input value=\"Отправить\" class=\"form\" type=\"submit\" />\n";
echo "</form>";

}
else
{

echo "<b>Выгрузка</b><br />\n";

$prl_2=ereg_replace("/$","",$prl);
$prl_2=ereg_replace("^/","",$prl_2);
echo "<form action=\"dir.php?l=$prl_2&amp;act=loadom&amp;page=$page\" method=\"post\">";
echo "Путь к файлу:<br /><input type=\"text\" class=\"form\" name=\"file1\" /><a href=\"op:fileselect\">ОБЗОР</a><br />\n";
echo "Название:<br /><input type=\"text\" class=\"form\" name=\"name\" value=\"\" /><br />\n";
echo "Путь к скрину:<br /><input type=\"text\" class=\"form\" name=\"file2\" /><a href=\"op:fileselect\">ОБЗОР</a><br />\n";
echo "Описание:<br /><textarea cols=\"25\" class=\"form\" rows=\"3\" name=\"op\"></textarea><br />\n";
echo "<input value=\"Отправить\" class=\"form\" type=\"submit\" />\n";
echo "</form>";

}
}



$prl=ereg_replace("(/){1,}","/",$prl);      // вырез двух и более слешей подряд
$prl=ereg_replace("(^(/){1,})|((/){1,}$)","",$prl); // вырез слеша в начале и конце

echo "<a href=\"dir.php?l=$prl&amp;newdir&amp;page=$page\">Создать папку</a><br />\n";
echo "<a href=\"dir.php?l=$prl&amp;import&amp;page=$page\">Импорт файла</a><br />\n";
echo "<a href=\"dir.php?l=$prl&amp;load&amp;page=$page\">Выгрузка файла</a><br />\n";
$prl_2=ereg_replace("(/){1,}$","",$prl);
$prl_2=ereg_replace("^(/){1,}","",$prl_2);
$prl_3='';
$previs=explode('/', $prl_2);
for ($i=0;$i<count($previs)-1;$i++)
{
$prl_3.=$previs[$i]."/";
}

echo "<a href=\"dir.php?l=$prl_3\">На уровень выше</a><br />\n";
echo "<a href=\"index.php?l=$prl_2\">Выйти из управления</a><br />\n";
echo "<a href=\"../index.php\">&lt;&lt; На главную</a>\n";

foot();
?>
